<template>
  <div class="pr" style="height:100%;width:100%;">
    <fmap />
    <div class="list clearfix">
      <div class="flex-center">
        <span style="color:#5cc9e9">未标记:{{deviceList.length}}</span>
      </div>
      <div>
        <dragger-box
          :class="['float-left','zIndex0']"
          :style="`top:${item.top}px;left:${item.left}px;position:absolute`"
          :data="item"
          toDOMId="map"
          @_getContainerRect="addMapIconIteam"
          v-for="item in deviceList"
          :key="item.id"
        >
          <div class="cursor-move" @focus="focusChange(item)" tabindex="-1">
            <div
              :style="`background-image: url(${item.url});`"
              :class="item.isActive?'img-icon2':'img-icon'"
            ></div>
          </div>
        </dragger-box>
      </div>
    </div>
  </div>
</template>
<script>
import Fmap from '@/components/map/index'
import draggerBox from '@/components/common/draggerBox'
export default {
  components: {
    draggerBox,
    Fmap,
  },
  props: {
    currentOrgItem: {
      default: () => ({ id: '0', type: 'MENU', name: '平台设备' }),
      type: Object
    },
    searchName: {
      default: '',
      type: String
    },
    currentColonyItem: {
      default: () => ({ id: '0', type: '1', name: '集群设备' }),
      type: Object
    }
  },
  data() {
    return {
      // 查询类型
      searchType: '',
      result: [],
      // 存储临时的设备信息
      tempDevice: {},
      //  未使用的设备列表
      deviceList: [
        {
          id:'1',
          name:'2',
          top:10,
          left:10,
          url:require('@/assets/img/zhuapai01.png')
        },
        {
          id:'2',
          name:'2',
          top:30,
          left:30,
          url:require('@/assets/img/zhuapai02.png')
        },
        {
          id:'3',
          name:'2',
          top:50,
          left:50,
          url:require('@/assets/img/zhuapai03.png')
        }
      ],
      // 临时存储百度地图的坐标
      bPoint: {},
      //  用于存放临时标记点
      markerObject: {},
      // 接收正常摄像头设备数量
      okDeviceNum: 0,
      // 接收异常摄像头设备数量
      exDeviceNum: 0,
      // 正常服务器设备数量
      okServerNum: 0,
      // 异常服务器设备数量
      exServerNum: 0
    }
  },
  methods: {
    // 地图 添加设备
    addMapIconIteam({ x, y, data, index, tags }) {
      /* 默认返回的x,y为画板坐标 */
      console.log(data, '拖拽回调   data', { x, y, data, index, tags })
      if (x > 160 && 790 - y > 120) {
        if (Object.keys(data).length !== 0) {
          if (Object.keys(this.tempDevice).length !== 0) {
            if (data.id === this.tempDevice.id) {
              // this.$refs.aMap.receveLnglat(data)
            }
          }
        }
      }
    },
    /** 获取焦点后修改层级关系 */
    focusChange(data) {
      // console.log(data, '获取焦点的元素')
      this.tempDevice = data
    }
  },
  mounted() {
    // this.$refs.aMap.InitMap()
    // this.findAllDevice()
  },
  watch: {

  }
}
</script>
<style>
.list {
  width: 160px;
  height: 140px;
  background-color: beige;
  position: absolute;
  left: 0;
  bottom: 0;
}
.dialog {
  width: 60%;
  height: 800px;
}
.status {
  width: 300px;
  height: 50px;
  border: 1px solid rgba(130, 130, 130, 0.4);
  background-color: #ffffff;
  opacity: 0.8;
  position: absolute;
  left: 0;
  top: 0;
}
.iconClass {
  width: 30px;
  height: 30px;
  border-radius: 50%;
  overflow: hidden;
}
.dragger-content {
  line-height: 30px;
  /* 抑制选中 */
  -moz-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}
.cursor-move {
  cursor: move;
  /* 抑制选中 */
  -moz-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}

.img-icon {
  width: 30px;
  height: 30px;
  /* background-image: url('/static/assets/img/noneImg.png'); */
  background-size: cover;
  /* 抑制选中 */
  -moz-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}
.img-icon2 {
  width: 48px;
  height: 48px;
  /* background-image: url('/static/assets/img/noneImg.png'); */
  background-size: cover;
  /* 抑制选中 */
  -moz-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}
.status-ok {
  width: 100px;
  height: 38;
  background: #2d7110;
  border-radius: 5px;
}
.status-et {
  width: 100px;
  height: 38;
  background: #686868;
  border-radius: 5px;
}
.spanfontleft {
  font-size: 18px;
  color: #686868;
  padding-left: 5px;
}
.spanfontright {
  font-size: 18px;
  color: #2d7110;
  padding-right: 5px;
}
.zIndex0 {
  z-index: 0;
}
.zIndex1 {
  z-index: 1;
}
</style>
